name: actor_teleop
cmd:
  - start: |
      ros_env
      stdbuf -oL -eL xterm -e "rosrun keyboard_teleop keyboard_teleop.py _topic:=${ACTOR_VEL_TOPIC}"
  - check: |
      source ${prefix}/setup.bash
      rosnode list | grep -e /keyboard_teleop
#TODO how to distinguish between teleop and actor_teleop (maybe topic?)
tags:
  - simulation
requires: 
  - gazebo
noauto: true
host: ${laptop}

#original vdemo definition
#"teleop,$basepc, -n -t gz_actor_teleop -l -g TOOLS -v ARGS=\"_topic\:=\${ACTOR_VEL_TOPIC}\" -x -L 9: "
